#version 3.7;

global_settings {
		ambient_light rgb <0.19, 0.17, 0.17>
		assumed_gamma 1.0
		max_trace_level 8
		}

/* system includes */
#include  "colors.inc"

#declare R_bulle = 2.50;

#declare Sculpture = object
{
#include  "sculpture.incc"
object { OBJ_vertices  }
texture {
	pigment { color Orange }
	finish  { specular 0.70 }
	}
}

#declare RR = R_bulle * 0.30;
#declare La_Sculpture = object
{
union	{
	object { Sculpture }
	cylinder { <MinX,    0,    0>,  <MaxX,    0, 0   > ,  RR  pigment { color Red } }
	cylinder { <   0, MinY,    0>,  <   0, MaxY, 0   > ,  RR  pigment { color Green } }	
	cylinder { <   0,    0, MinZ>,  <   0,    0, MaxZ> ,  RR  pigment { color Blue } }
	}
}

#object { La_Sculpture rotate y*(clock*0.7) translate -MinY*y }

plane { y, 0   pigment { color Gray60  } }
light_source { < 45,  445, 142> color White }
light_source { <-105, 219,  56> color White }

// #declare CamX = 560 * sin(radians(clock));
// #declare CamZ = 560 * cos(radians(clock));

#declare CamX = 325;
#declare CamY = 5.00 + (clock * 0.666);
#declare CamZ = 311;

#declare LatX = (MinX + MaxX) / 2;
#declare LatY = (MinY + MaxY) / 2;
// #declare LatY = LatY + MinY; 
#declare LatZ = (MinZ + MaxZ) / 2;

camera	{
	location	<CamX, CamY, CamZ>
	look_at		<LatX, LatY, LatZ>
	right		x*image_width/image_height
	angle		48
	}

